* {
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    background-color: #EAF0F5;
    color: #333;
    line-height: 1.6;
    margin: 0;
    padding: 0;
    font-size: 12pt;
}

label {
  font-size: 1em;
  margin-right: 6px;
}

select, input, textarea {
    padding: 4px;
    font-size: 1em;
    border-radius: 5px;
    border: 1px solid #D2CFCA;
    background-color: #fff;
    cursor: pointer;
    width: calc(100% - 100px);
    min-width: 150px;
    outline-color: #84ADD2;
}

input {
    width: 100%;
    cursor: text;
    padding: 10px 15px;
    border-radius: 5px;
}

textarea {
    font-family: Arial, sans-serif;
    width: 100%;
    cursor: text;
    resize: vertical;
    padding: 5px 10px;
}

a {
    color: #1C75BC;
    transition: color 0.3s;
}

a:hover {
    color: #0D4B7A;
}

.loader, .loader_popup {
    border: 16px solid #FFF; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
	border-bottom: 16px solid #3498db;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 1.5s linear infinite;
	position: absolute;
    left: calc(50% - 40px);
    top: 150px;
}

.loader_popup {
    border: 16px solid #E8E8E8; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
	border-bottom: 16px solid #3498db;
    position: relative;
    top: auto;
    margin-top: 20px;
    margin-bottom: 20px;    
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

 .question_ma_text input {
    width: 200px;
    padding: 10px;
}

.button, .button_disabled {
    height: 40px;
    padding: 5px 15px;
    border-radius: 10px;
    background-color: #1C75BC;
    color: #fff;
    font-size: 1.2em;
    transition: background-color 0.3s;
    cursor: pointer;
    user-select: none;
}

.button:hover {
    background-color: #115D99;
}

.button_disabled {
    cursor: default;
    background-color: #DBDBDB;
}

.button_tick_container, .button_tick_container_disabled {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    cursor: pointer;
}

.button_tick_container_disabled {
    cursor: default;
}

.button_tick, .button_tick_ticked, .button_tick_disabled {
    flex: 0 0 25px;
    width: 25px;
    height: 25px;
    border: 1px solid #ACA9A5;
    border-radius: 5px;
    background-color: #FFF;
    transition: background-color 0.3s;
    background-image: url("../../images/icon-tick-2.png");
    background-repeat: no-repeat;
    background-position: center center;
	background-size: contain;
}

.button_tick_ticked {
    background-image: url("../../images/icon-tick-1.png");
}

.button_tick_hover {
    background-color: #E8F1F9;
}

.button_tick_disabled {
    border: 1px solid #D8D4D0;
}

.button_tick_circle {
    border-radius: 12.5px;
    background-size: 20px auto;
}

.button_tick_label, .button_tick_label_disabled {
    flex: 1 1;
    padding: 0px 10px 0px 10px;
    user-select: none;
}

.button_tick_label_disabled {
    color: #D8D8D8;
}

.header_container {
    position: relative;
    min-height: 50px;
    width: 100%;
    background-color: #EAF0F5;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.header_icon {
    flex: 0 0 80px;
    padding: 5px 8px 0px;
}

.header_title {
    flex: 2 1;
    font-size: 1.3em;
    font-weight: 500;
    padding: 9px 15px 6px 10px;
}

.header_courses {
    flex: 1 0;
    padding: 10px;
}

.header_filter, .header_edit, .header_delete, .header_document, .header_createcourse {
    flex: 0 0 35px;
    padding: 10px;
}

.header_filter_icon, .header_edit_icon, .header_delete_icon, .header_delete_icon_disabled, .header_document_icon, .header_createcourse_icon {
    border: none;
    width: 35px;
    height: 35px;
    background-color: #EAF0F5;
    transition: background-color 0.3s;
    display: inline-block;
    cursor: pointer;
    font-size: 11pt;
    border-radius: 4px;
    background-image: url("../../images/icon-filter.png");
    background-repeat: no-repeat;
    background-position: center center;
	background-size: auto 25px;
}

.header_filter_icon:hover, .header_edit_icon:hover, .header_delete_icon:hover, .header_document_icon:hover, .header_createcourse_icon:hover {
    background-color: #C2D6E6;
}

.header_delete_icon, .header_delete_icon_disabled {
    background-image: url("../../images/icon-bin.png");
}

.header_edit_icon {
    background-image: url("../../images/icon-edit.png");
}

.header_document_icon {
    background-image: url("../../images/icon-document.png");
}

.header_createcourse_icon {
    background-image: url("../../images/icon-createcourse.png");
}

.header_delete_icon_disabled {
    opacity: 0.15;
    cursor: default;
}

.no_questions {
    flex: 1 1 100%;
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    padding: 10px;
}

.load_more_container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}

.load_more_button {
    height: 40px;
    padding: 5px 15px;
    border-radius: 10px;
    background-color: #FFF;
    transition: background-color 0.3s;
    cursor: pointer;
    user-select: none; 
    text-align: center;
    font-size: 1em;
    border: 1px solid #D2CFCA;
}

.load_more_button:hover {
    background-color: #F1F1F1;
}

.popup_fade {
    position: absolute;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: rgba(234, 240, 245, 0.75); 
    z-index: 9;
}

.popup_container, .popup_container_fade {
    position: absolute;
    margin-left: calc(50% - 300px);
    margin-top: 30px;
    width: 600px;
    z-index: 10;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, .15);
    border-radius: 10px 10px 10px 10px;
}

.popup_container_fade {
    margin-top: 80px;
}

.popup_title_container {
    position: relative;
    min-height: 40px;
    background-color: #0D4B7A;
    color: #fff;
    font-size: 1.2em;
    padding: 3px 10px;
    border-radius: 10px 10px 0px 0px;
}

.popup_title_content {
    position: relative;
    background-color: #fff;
    padding: 20px 40px;
}

.popup_button_container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: center;
    padding: 10px 20px 20px;
    background-color: #fff;
    border-radius: 0px 0px 10px 10px;
}

.signinError {
    padding-top: 15px;
    color: #FA757C;
}

.filter_container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 10px;
}

.filter_item {
    flex: 1 1;
}

.filter_item_long {
    flex: 0 0 100%;
}

.filter_title, .filter_title_short {
    flex: 0 0 100%;
    font-weight: 600;
}

.filter_title_short {
    flex: 1 1 45%;
}

.filter_clear {
    flex: 1 1 45%;
    text-align: right;
}

.error_message {
    width: 100%;
    text-align: center;
}

.questions_container {
    width: 100%;
    overflow-x: none;
    overflow-y: auto;
}

.question_container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    width: 100%;
    min-height: 50px;
    background-color: #fff;
    border-bottom: 1px solid #D2CFCA;
    position: relative;
    margin-bottom: 5px;
}

.question_select {
    flex: 0 0 35px;
    border-right: 1px solid #D2CFCA;
    text-align: center;
    padding: 10px 10px;
    user-select: none;
}

.question_date {
    flex: 0 0 100px;
    border-right: 1px solid #D2CFCA;
    text-align: center;
    padding: 10px 10px;
    user-select: none;
}

.question_elements {
    flex: 1 1;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
}

.question_q {
    flex: 1 1 100%;
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    padding: 10px;
}

.question_q_title, .question_a_title {
    flex: 0 0 150px;
    font-weight: 600;
    padding-right: 10px;
    border-right: 1px solid #D4D2CD;
    user-select: none;
}

.question_q_text, .question_a_text, .question_ma_text {
    flex: 1 1;
    padding: 0px 10px;
    border-right: 1px solid #D4D2CD;
    user-select: none;
}

.question_q_copy, .question_a_copy, .question_ma_copy {
    flex: 0 0 35px;
    height: 35px;
    padding: 0px 10px 0px 10px;
    border-right: 1px solid #D4D2CD;
    margin-right: 10px;
}

.question_a_copy, .question_ma_copy {
    height: auto;
    margin-right: 0px;
}

.question_q_copy_icon, .question_q_copy_icon_copied {
    border: none;
    width: 35px;
    height: 35px;
    background-color: #FFF;
    transition: background-color 0.3s;
    display: inline-block;
    cursor: pointer;
    font-size: 11pt;
    border-radius: 4px;
    background-image: url("../../images/icon-copy.png");
    background-repeat: no-repeat;
    background-position: center center;
	background-size: auto 25px;
}

.question_q_copy_icon_copied {
    background-image: url("../../images/icon-copied.png");
}

.question_q_copy_icon:hover, .searchButton_icon_copied:hover {
    background-color: #F1F1F1;
}

.question_status_ball, .question_status_ball_green {
    flex: 0 0 16px;
    background-color: #ED1C24;
    border: 1px solid #767172;
    border-radius: 8px;
    width: 16px;
    height: 16px;
    margin-top: 10px;
}

.question_status_ball_green {
    background-color: #24C920;
}

.question_status_title, .question_status_title_short {
    flex: 0 0 135px;
    border-right: 1px solid #D4D2CD;
    padding-left: 10px;
    margin-right: 10px;
    color: #9F9C9D;
    font-size: 0.9em;
    user-select: none;
    padding-top: 7px;
}

.question_status_title_short {
    flex: 0 0 100px;
}

.question_dropdown {
    flex: 0 0 35px;
    transition: background-color 0.3s;
    background-color: #FFF;
    cursor: pointer;
}

.question_dropdown:hover {
    background-color: #F1F1F1;
}

.question_a {
    flex: 1 1 100%;
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    padding: 10px;
    padding-right: 0px;
    border-top: 1px solid #D4D2CD;
}

.question_a_approve {
    flex: 0 0 342px;
    padding: 5px 10px 0px 10px;
}

.question_ma_signed_container {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}

.question_ma_signed {
    flex: 1 1;
}

.question_ma_signed_date {
    flex: 1 1;
    color: #9F9C9D;
    font-size: 0.9em;
    text-align: right;
}

.question_ma_signed_approved {
    flex: 0 0 342px;
    padding: 5px 10px 0px 10px;
}

/*extra small*/
@media (max-width: 767px) {
    .popup_container, .popup_container_fade {
        margin-left: 0%;
        margin-top: 10px;
        width: 100%;
        border-radius: 0px 0px 0px 0px;
    }   
    
    .popup_container_fade {
        margin-top: 60px;
    }
    
    .popup_title_container {
        border-radius: 0px 0px 0px 0px;
    }
    
    .popup_button_container {
        border-radius: 0px 0px 0px 0px;
    }
}

/*small*/
@media (min-width: 768px) and (max-width: 991px) { 
    .popup_container, .popup_container_fade {
        margin-left: 0%;
        margin-top: 10px;
        width: 100%;
        border-radius: 0px 0px 0px 0px;
    }
    
    .popup_container_fade {
        margin-top: 60px;
    }
    
    .popup_title_container {
        border-radius: 0px 0px 0px 0px;
    }
    
    .popup_button_container {
        border-radius: 0px 0px 0px 0px;
    }
}

/*medium*/
@media (min-width: 992px) and (max-width: 1199px) {
    
}

/*large*/
@media (min-width: 1200px) {
    
}